<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@apadanacms.ir
 * @link: http://www.apadanacms.ir
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright © 2012-2018 ApadanaCMS.ir. All rights reserved.
 * @Apadana CMS is a Free Software
 */

defined('security') or exit('Direct Access to this location is not allowed.');
function _index()
{
member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $tpl, $d;
	set_title('تبلیغات متنی پیشرفته');
	set_head('<script type="text/javascript" src="'.url.'engine/javascript/jscolor/jscolor.js"></script>');
	$itpl = new template('modules/tpublicity/html/admin/index.tpl');
	$itpl->assign(array(
		'[not-show-tpublicity]' => null,
		'[/not-show-tpublicity]' => null,
		'[end]' => null,
		'[/end]' => null,
	));
	$itpl->block('#\\[show-tpublicity\\](.*?)\\[/show-tpublicity\\]#s', '');
	$itpl->block('#\\[show-tpublicity2\\](.*?)\\[/show-tpublicity2\\]#s', '');
	$tpl->assign('{content}', $itpl->get_var());
	//set_content(' تبلیغات ', $itpl->get_var());
	unset($itpl);
}
function _list()
{
member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	set_title('تبلیغات متنی پیشرفته');
	$d->query("SELECT id,title,text,link,position,approve FROM #__tpublicity ORDER BY id ASC LIMIT 50");
	$itpl = new template('modules/tpublicity/html/admin/index.tpl');
	
	while($g = $d->fetch())
	{
		$itpl->add_for('tpublicity', array(
			'{odd-even}' => odd_even(),
			'{id}' => $g['id'],
			'{title}' => htmlencode($g['title']),
			'{text}' => htmlencode($g['text']),
			'{link}' => htmlencode($g['link']),
			'{approve}' => $g['approve']==1?"<font color=green>فعال</font>":"<font color=red>غیرفعال</font>",
			'{position}' => $g['position']
		));
	}
	$itpl->assign(array(
		'[show-tpublicity]' => null,
		'[/show-tpublicity]' => null,
	));
	$itpl->block('#\\[not-show-tpublicity\\](.*?)\\[/not-show-tpublicity\\]#s', '');
	$itpl->block('#\\[show-tpublicity2\\](.*?)\\[/show-tpublicity2\\]#s', '');
	$itpl->block('#\\[end\\](.*?)\\[/end\\]#s', '');
	if (is_ajax())
	{
		define('no_template', true);
		$itpl->display();
	}
	else
	{
		return $itpl->get_var();
	}
	unset($itpl);
}
function _show()
{
member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	set_title('تبلیغات متنی پیشرفته');
	$id=get_param($_GET,'id');
	$d->query("SELECT * FROM #__tpublicity WHERE id={$id} LIMIT 1");
	$itpl = new template('modules/tpublicity/html/admin/index.tpl');
	
	while($g = $d->fetch())
	{
		for($i=1;$i<=7;$i++){
			if($i==$g['style'])
				$itpl->assign(array("{{$i}}" => "selected"));
			else
				$itpl->assign(array('{$i}' => null));
		}
		$itpl->assign( array(
			'{id}' => $g['id'],
			'{title}' => htmlencode($g['title']),
			'{text}' => htmlencode($g['text']),
			'{link}' => htmlencode($g['link']),
			'{top}' => $g['target']=="_top"? "selected": null,
			'{new}' => $g['target']!="_top"? "selected": null,
			'{on}' => $g['approve']==1?"checked":null,
			'{off}' => $g['approve']==0?"checked":null,
			'{position}' => $g['position'],
			'{color}' => $g['color'],
			'{time}' => Jdate("Y-m-d H:i:s",$g['time']),
			'{target}' => $g['target'],
			'{style}' => $g['style']
		));
	}
	$itpl->assign(array(
		'[show-tpublicity2]' => null,
		'[/show-tpublicity2]' => null,
	));
	$itpl->block('#\\[not-show-tpublicity\\](.*?)\\[/not-show-tpublicity\\]#s', '');
	$itpl->block('#\\[show-tpublicity\\](.*?)\\[/show-tpublicity\\]#s', '');
	$itpl->block('#\\[end\\](.*?)\\[/end\\]#s', '');
	if (is_ajax())
	{
		define('no_template', true);
		$itpl->display();
	}
	else
	{
		return $itpl->get_var();
	}
	unset($itpl);
}
function _edit()
{
member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	$option = get_param($_POST, 'tpublicity');
	if (count($option))
	{
			$required=array('title','link','text','color','time','target','position','style','approve','id');
			$msg = null;
			foreach($required as $a){
				$option[$a] =@$d->escapeString($option[$a]);
				if (empty($option[$a]) && !is_numeric($option[$a]))
					$msg .= "-فیلد {$a} نباید خالی باشد<br/>";
			}
			$option['time']=@explode(' ',$option['time']);
				$D=@explode('-',$option['time'][0]);
				$T=@explode(':',$option['time'][1]);
				if($D && $T){
					if(@!($D[2]>0 && $D[2]<32 && $D[1]>0 && $D[1]<13 && $D[0]>0 && $D[0]<1418 && $T[0]>=0 && $T[0]<24 && $T[1]>=0 && $T[1]<60 && $T[2]>=0 && $T[2]<60)){
						$msg .= "تاریخ وارد شده یا خیلی بزرگ است یا اشتباه است!!!<br/>";
					}
				}
				else
					$msg .= "فرمت تاریخ اشتباه است<br/>";
			}
			if(!is_numeric($option['position'])){
				$msg .= "موقعیت باید عددی باشد<br/>";
			}
			
	if (!empty($msg)){
		echo message($msg, 'error');
	}
	else{
		list( $year, $month, $day ) = jalali_to_gregorian($D[0], $D[1], $D[2]);
		$i=mktime($T[0],$T[1],$T[2],$month,$day,$year);
			$d->update('tpublicity', array(
				'title' => $option['title'],
				'text' => $option['text'],
				'link' => $option['link'],
				'color' => $option['color'],
				'time' => $i,
				'target' => $option['target'],
				'style' => $option['style'],
				'position' => $option['position'],
				'approve' => $option['approve']
			), "id=".$option['id'], 1);

			if ($d->affectedRows())
				echo message('تنظیمات با موفقیت انجام شد!', 'success');
			else
				echo message('اطلاعات جدید فرقی با قبلی ها ندارد یا در ذخیره اطلاعات خطایی پیش آمده است. مجددا تلاش کنید!!!!', 'error');
		}
	define('no_template', true);
}
function _new()
{
member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	$option = get_param($_POST, 'tpublicity');
	if (is_array($option) && count($option))
	{
	$required=array('title','link','text','color','time','target','position','style','approve');
	$msg = null;
	foreach($required as $a){
	$option[$a] =@$d->escapeString($option[$a]);
	if (empty($option[$a]) && !is_numeric($option[$a]))
		$msg .= "-فیلد {$a} نباید خالی باشد<br/>";
	}
	$option['time']=@explode(' ',$option['time']);
		$D=@explode('-',$option['time'][0]);
		$T=@explode(':',$option['time'][1]);
		if($D && $T){
			if(@!($D[2]>0 && $D[2]<32 && $D[1]>0 && $D[1]<13 && $D[0]>0 && $D[0]<1418 && $T[0]>=0 && $T[0]<60 && $T[1]>=0 && $T[1]<60 && $T[2]>=0 && $T[2]<60)){
				$msg .= "تاریخ وارد شده یا خیلی بزرگ است یا اشتباه است!!!<br/>";
			}
		}
		else
			$msg .= "فرمت تاریخ اشتباه است<br/>";
		if(!is_numeric($option['position'])){
		$msg .= "موقعیت باید عددی باشد<br/>";
		}
	}
	else{
		$msg = "هیچ کدام از اطلاعات را وارد نکرده اید!";
		}
	if (!empty($msg))
	{
		echo message($msg, 'error');
	}
	else{
		list( $year, $month, $day ) = jalali_to_gregorian($D[0], $D[1], $D[2]);
		$i=mktime($T[0],$T[1],$T[2],$month,$day,$year);
			$d->insert('tpublicity', array(
				'title' => $option['title'],
				'text' => $option['text'],
				'link' => $option['link'],
				'color' => $option['color'],
				'time' => $i,
				'target' => $option['target'],
				'style' => $option['style'],
				'position' => $option['position'],
				'approve' => $option['approve']
			));

			if ($d->affectedRows())
				echo message('تبلیغ با موفقیت اضافه شد!', 'success');
			else
				echo message('در اضافه کردن تبلیغ مشکلی به وجود آمده است دوباره تلاش کنید', 'error');
		}
	define('no_template', true);
}
function _delete()
{
member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	$result = 'ERROR';
	$id = get_param($_GET, 'id');

	if (!empty($id) && is_numeric($id))
	{
		$d->delete('tpublicity', "id='".$id."'", 1);
		if ($d->affectedRows())
			$result = 'SUCCESS';
	}
	exit('{"result":"'.$result.'"}');
}
	
?>
